> For the complete documentation index, see [llms.txt](https://docs.innopaas.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.innopaas.com/api-reference/api-reference-en/whatsapp-business-api/webhook/status-report.md).

# Status report

| Field        | Data type | Required | Description                                                                                                                            |
| ------------ | --------- | -------- | -------------------------------------------------------------------------------------------------------------------------------------- |
| id           | String    | Yes      | Message Id                                                                                                                             |
| accountName  | String    | Yes      | API account                                                                                                                            |
| wabaId       | String    | Yes      | Waba Id                                                                                                                                |
| status       | String    | Yes      | Sending status:`delivered`、`read`、`failed`、`SMECL:FAILED`                                                                              |
| wamid        | String    | Yes      | WhatsApp message ID                                                                                                                    |
| sendPhone    | String    | Yes      | WhatsApp user number                                                                                                                   |
| uid          | String    | No       | Customer batch number, the batch number sent by the customer (uid)                                                                     |
| conversation | JSON      | No       | Conversation information, has a value when status is delivered                                                                         |
| errorData    | JSON      | No       | Error message, has a value when status is failed                                                                                       |
| billable     | Boolean   | Yes      | Whether billed: true: billed, false: not billed                                                                                        |
| category     | String    | Yes      | Message type: authentication verification code utility notification marketing marketing\_lite MMLite marketing service service message |
| price        | String    | Yes      | Unit price, keep 5 decimal places.                                                                                                     |
| currency     | String    | Yes      | Currency                                                                                                                               |

conversation parameter

| Field        | Data type | Required | Description                                                                                                                                                                                                                                                                       |
| ------------ | --------- | -------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| initiateType | String    | Yes      | Conversation initiation type​**business\_initiated**​: conversation initiated by the business​**referral\_conversion**​: conversation initiated from a free entry point, this type of conversation is initiated by the user​**customer\_initiated**​: user-initiated conversation |
| expireAt     | String    | Yes      | Conversation expiration time, e.g.: 2023-02-22 12:00:00                                                                                                                                                                                                                           |

errorData parameter

| Field        | Data type | Required | Description            |
| ------------ | --------- | -------- | ---------------------- |
| errorCode    | String    | Yes      | Meta error code        |
| errorMessage | String    | Yes      | Meta error description |

## **delivered:​response example**

```json
{
    "id": "e5cb1bc6-ad90-419d-8f83-aa394c0b7cc7",
    "type": "whatsapp_message_status_updated",
    "eventTime": "2023-02-22T12:00:00.000Z",
    "body": {
        "id": "356139161272397824",
        "accountName": "IW123456",
        "wabaId": "11231231212331",
        "wamid": "wamid.BgNODYxN...", 
        "status": "delivered",
        "uid":"2002302023002010121",
        "sendPhone":"65123101212312",
        "conversation": {
            "id": "00e5a7e14a588d96bd2343d105d03ec5",
            "initiateType": "business_initiated",
            "expireAt": "2023-02-23T12:00:00.000Z"
        },
        "currency": "USD"
    }
}
```

## **read:​response example**

```json
{
    "id": "cd0a316c-a781-4589-9f5f-5502ccf1f60f",
    "type": "whatsapp_message_status_updated",
    "eventTime": "2023-05-26T02:18:44.115Z",
    "body": {
        "accountName": "15902677617",
        "id": "356139161272397824",
        "status": "read",
        "uid":"2002302023002010121",
        "sendPhone":"65123101212312",
        "wabaId": "WHATSAPP_BUSINESS_ACCOUNT_ID",
        "wamid": "wamid.HBgNODYxNjY4NTE3NzYxMhUCABEYEjQ0RTYyQTM5QzAyMkU0QkNERgA="
    }
}
```

## **failed:​response example**

```json
{
    "id": "e5cb1bc6-ad90-419d-8f83-aa394c0b7cc7",
    "type": "whatsapp_message_status_updated",
    "eventTime": "2023-05-25T10:31:08.167Z",
    "body": {
        "accountName": "15902677617",
        "errorData": {
            "errorCode": "131014",
            "errorMessage": "Request for url https://URL.jpg failed with error: 404 (Not Found)"
        },
        "id": "356139161272397824",
        "status": "failed",
         "uid":"2002302023002010121",
        "sendPhone":"65123101212312",
        "wabaId": "WHATSAPP_BUSINESS_ACCOUNT_ID",
        "wamid": "wamid.HBgNODYxNjY4NTE3NzYxMhUCABEYEjQ0RTYyQTM5QzAyMkU0QkNERgA="
    }
}
```
